<div class="card">
    <p-table [value]="productList" [tableStyle]="{'min-width': '60rem'}">
        <ng-template pTemplate="caption">
            <div class="flex align-items-center justify-content-between">
                Products
            </div>
            <div class="flex align-items-center justify-content-between">
            
                <button pButton pRipple label="Nuevo" class="p-button-success"></button>

            </div>
        </ng-template>
        <ng-template pTemplate="header">
            <tr>
                <th>ID</th>
                <th>Title</th>
                <th>Description</th>
                <th>Price</th>
                <th>Discount</th>
                <th>Rating</th>
                <th>Stock</th>
                <th>Brand</th>
                <th>Category</th>
            </tr>
        </ng-template>
        <ng-template pTemplate="body" let-product>
            <tr>
                <td>{{ product.id }}</td>
                <td>{{ product.title }}</td>
                <td>{{ product.description }}</td>
                <td>{{ product.price | currency:'USD' }}</td>
                <td>{{ product.discountPercentage }}</td>
                <td>{{ product.rating }}</td>
                <td>{{ product.stock }}</td>
                <td>{{ product.brand }}</td>
                <td>{{ product.category }}</td>
            </tr>
        </ng-template>
        <ng-template pTemplate="summary">
            <div class="flex align-items-center justify-content-between">
                In total there are {{ productList ? productList.length : 0 }} products.
            </div>
        </ng-template>
    </p-table>
</div>
